"use strict"; function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }require('../chunk-DZ7PFRRO.cjs');
require('../chunk-EZHGZUH5.cjs');
require('../chunk-IWO4ABJF.cjs');
require('../chunk-LAKHN3P3.cjs');
require('../chunk-Q2SNIYQS.cjs');
require('../chunk-HHIITKT4.cjs');
require('../chunk-KPNM3NIQ.cjs');
require('../chunk-U5N3BUNH.cjs');
require('../chunk-E4XQILAZ.cjs');
require('../chunk-2Q4Q3VX6.cjs');
require('../chunk-HEYAOG5D.cjs');
require('../chunk-3RWH3X5B.cjs');
require('../chunk-GXS3YCMK.cjs');
require('../chunk-SDE66KCB.cjs');
require('../chunk-VAUMAK5V.cjs');
require('../chunk-YSH7NGA4.cjs');
require('../chunk-W62S6KVP.cjs');
require('../chunk-VQZ4O5IZ.cjs');
require('../chunk-ZIIASOZL.cjs');
require('../chunk-ORA3J2SQ.cjs');
require('../chunk-PDXKNB3S.cjs');
require('../chunk-XR7AMYN7.cjs');
require('../chunk-NCDI2ZTI.cjs');
require('../chunk-AGQV4BOO.cjs');
require('../chunk-LURLRIHI.cjs');
require('../chunk-67Q7IWIS.cjs');
require('../chunk-B4JXPT6I.cjs');
require('../chunk-PLHSJ7Z4.cjs');
require('../chunk-KXWDOTVK.cjs');
require('../chunk-GGAJMSNX.cjs');
require('../chunk-ZGKV237Z.cjs');
require('../chunk-FEYF6QXS.cjs');
require('../chunk-SFVQNT7T.cjs');
require('../chunk-N7OUNPMM.cjs');
require('../chunk-ZDDTQE4E.cjs');
require('../chunk-WHYGPWH2.cjs');
require('../chunk-I44ZAZ4K.cjs');
require('../chunk-XW3B3FUP.cjs');
require('../chunk-GZHRWWIW.cjs');
require('../chunk-RJBXIRPI.cjs');
require('../chunk-D3KINVJ5.cjs');
require('../chunk-X23ZSPZC.cjs');
require('../chunk-2UTQQDPY.cjs');
require('../chunk-SFUIGVPA.cjs');
require('../chunk-K4SUOAKA.cjs');
require('../chunk-DDS4MYUB.cjs');
require('../chunk-TUWUD5A6.cjs');
require('../chunk-3TNVJY4F.cjs');
require('../chunk-MJ7L4G3V.cjs');
require('../chunk-QK5A4MK5.cjs');
require('../chunk-H6AB4FMJ.cjs');
require('../chunk-ZUTYCOWL.cjs');
require('../chunk-SLEHBFHV.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-7A2HVTS7.cjs');
require('../chunk-Z5RQA7W2.cjs');
require('../chunk-4B2XCWGL.cjs');
require('../chunk-RH2ZY552.cjs');
require('../chunk-WKUMIBBA.cjs');
require('../chunk-BVNSW3CF.cjs');
require('../chunk-NU2LARFE.cjs');
require('../chunk-BD5LNHYY.cjs');
require('../chunk-5G52PYZN.cjs');
require('../chunk-F2L2RVEN.cjs');
require('../chunk-G42NAOWE.cjs');
require('../chunk-X3WFC5MY.cjs');
require('../chunk-MTWPH7QT.cjs');
require('../chunk-XTDX3HZA.cjs');
require('../chunk-SHCHA5NE.cjs');
require('../chunk-LP4MNA2T.cjs');
require('../chunk-WPWV7ZEM.cjs');
require('../chunk-QPDPDHST.cjs');
require('../chunk-5TCFLJWD.cjs');
require('../chunk-N5KTMDVO.cjs');
require('../chunk-BOHPEXDM.cjs');
require('../chunk-6T6PI6XG.cjs');
require('../chunk-5BF2LEAU.cjs');
require('../chunk-LMPRNVYB.cjs');


var _chunk2BOMVGUQcjs = require('../chunk-2BOMVGUQ.cjs');
require('../chunk-WZOVL24X.cjs');
require('../chunk-LRK332ID.cjs');






var _chunkQMHQOHJAcjs = require('../chunk-QMHQOHJA.cjs');




var _chunkSK66U3XOcjs = require('../chunk-SK66U3XO.cjs');
require('../chunk-T5NX3H2C.cjs');
require('../chunk-OVE66YIF.cjs');
require('../chunk-CUGOCLWN.cjs');
require('../chunk-N46W55MH.cjs');
require('../chunk-33B2TEAZ.cjs');
require('../chunk-UXNOJAXO.cjs');
require('../chunk-PEU5ZQVB.cjs');
require('../chunk-J42M6DF3.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-N43PGEL6.cjs');
require('../chunk-W3WUDQIC.cjs');
require('../chunk-YY4AHBBL.cjs');
require('../chunk-IMCDDJAJ.cjs');

// src/common/crypto.spec.ts
var log = _chunk2BOMVGUQcjs.DefaultLogger.call(void 0, "crypto.spec");
describe("crypto", () => {
  it("should not have collisions", () => {
    expect(_chunkSK66U3XOcjs.equalBinary.call(void 0, new Uint8Array(2), new Uint8Array([0, 0]))).toBe(true);
    const list = Array.apply(null, Array.from({ length: 100 })).map(
      () => _chunkQMHQOHJAcjs.randomUint8Array.call(void 0, 8)
    );
    let id;
    while (id = list.pop()) {
      expect(_chunkSK66U3XOcjs.equalBinary.call(void 0, id, new Uint8Array([0, 0, 0, 0, 0, 0, 0, 0]))).toBe(false);
      expect(_optionalChain([id, 'optionalAccess', _ => _.length])).toBe(8);
      expect(list).not.toContain(id);
    }
  });
  it("should digest", async () => {
    expect(_chunkSK66U3XOcjs.toBase64.call(void 0, await _chunkQMHQOHJAcjs.digest.call(void 0, "abc"))).toBe("ungWv48Bz+pBQUDeXa4iI7ADYaOWF3qctBD/YfIAFa0=");
    expect(_chunkSK66U3XOcjs.toBase64.call(void 0, await _chunkQMHQOHJAcjs.digest.call(void 0, new Uint8Array([1, 2, 3])))).toMatchInlineSnapshot(`"A5BYxvLAy0ksUzsKTRTvd8wPeKvMztUofYShogEc+4E="`);
  });
  it("should raw crypt", async () => {
    const key = await _chunkQMHQOHJAcjs.deriveKeyPbkdf2.call(void 0, new Uint8Array([1, 2, 3]), {
      salt: new Uint8Array([1, 2, 3])
    });
    const sample = new Uint8Array([9, 8, 7, 6, 5, 4, 3, 2, 1, 0]);
    const cipher = await _chunkQMHQOHJAcjs.encrypt.call(void 0, sample, key);
    log("cipher", _chunkSK66U3XOcjs.toBase64.call(void 0, cipher));
    const bin = await _chunkQMHQOHJAcjs.decrypt.call(void 0, cipher, key);
    expect(_chunkSK66U3XOcjs.equalBinary.call(void 0, sample, bin)).toBe(true);
    const binFix = await _chunkQMHQOHJAcjs.decrypt.call(void 0, _chunkSK66U3XOcjs.fromBase64.call(void 0, "AQELynGCxvLXKwLM/oHjOaM4R6d7oAzxJpgpCZnKmWwhkwIDzpPMUQ=="), key);
    expect(binFix).toEqual(sample);
  });
});
//# sourceMappingURL=crypto.spec.cjs.map